function endposition = twolinkforward(theta,param)
% TWOLINKFORWARD 
% this function gives the x and y end-point position given the joint angles
% for a two link manipulator, with links OA and AB. B is the end-point,
% O is the "shoulder" and A is the "elbow"
% param has the lengths of the two links, param.L1 and param.L2
% respectively

% theta is a 2-vector containing the 2 joint angles
theta1 = theta(1); 
theta2 = theta(2);

xB = param.L1*cos(theta1)+param.L2*cos(theta1+theta2);
yB = param.L1*sin(theta1)+param.L2*sin(theta1+theta2);

endposition = [xB; yB];

end